/*
 * com.simulogic.cese -- Cell Electrophysiology Simulation Environment (CESE)
 * 
 * Copyright (C) 1999 - 2005 Sergey Missan
 * 
 * Dalhousie Univ., Halifax, NS, Canada
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 *  
 */

package com.simulogic.cese.actions;

import java.awt.event.ActionEvent;

import ch.cern.lhcb.xmleditor.Editor;

import com.simulogic.cese.ModelManager;
import com.simulogic.cese.ResourceManager;
import com.simulogic.utils.ActionSupport;

/**
 * RecEdit action implementation
 */
public class RecEditAction extends ActionSupport {

    private Editor editor = null;

    private ModelManager manager;

    /** 
     * Creates new RecEditAction  
     *  
     * @param m model manager
     */
    public RecEditAction(ModelManager m) {
        this();
        manager = m;
    }

    /** Creates new RecEditAction */
    public RecEditAction() {
        super(ResourceManager.getResource("Record_Editor..."), ResourceManager
                .getResource("Record_editor"), ResourceManager
                .getResource("rec_edit_image"));
    }

    public void actionPerformed(ActionEvent evt) {
        if (editor == null) editor = new Editor(Editor.TITLE);
        if (manager.getRecordBuilder().getRecFile() != null)
                editor.createNewTreeView(
                        manager.getRecordBuilder().getRecFile().getAbsolutePath(), true);
        editor.setVisible(true);
        editor.toFront();
    }
}